Bug 623216 - DHCPv6-only ifcfgs should have IPV6_AUTOCONF=no set
Summary: DHCPv6-only ifcfgs should have IPV6_AUTOCONF=no set
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: All Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 582286 612445
TreeView+ depends on / blocked
 
Reported: 2010-08-11 16:04 UTC by Dan Williams
Modified: 2010-11-10 19:52 UTC (History)
5 users (show)

Fixed In Version: anaconda-13.21.76-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 612445
Environment:
Last Closed: 2010-11-10 19:52:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Dan Williams 2010-08-11 16:06:03 UTC
Essentially, if DHCPv6 only is desired, then anaconda should make sure to explicitly disable IPv6 autoconf, otherwise the autoconf default depends on what the forwarding values are.  Better to be explicit and add IPV6_AUTOCONF=no in this case instead.

Comment 5 Radek Vykydal 2010-08-13 07:42:13 UTC
This should be fixed in anaconda-13.21.75-1.

Comment 7 Alexander Todorov 2010-08-20 10:43:33 UTC
With snap #12 the ifcfg-eth0 file has:

IPV6INIT=yes
IPV6_AUTOCONF=no
DHCPV6C=yes

Moving to VERIFIED.

Comment 8 releng-rhel@redhat.com 2010-11-10 19:52:55 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.